Name: SysVinit
Version: 2.84
Release: alt5

Summary: Programs which control basic system processes
License: GPL
Group: System/Configuration/Boot and Init
Url: ftp://ftp.cistron.nl/pub/people/miquels/software/

Source: ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-%version.tar.bz2

Patch1: sysvinit-2.82-alt-man-wall.patch
Patch2: sysvinit-2.77-last.patch
Patch3: sysvinit-2.84-rh-alt-halt.patch
Patch4: sysvinit-2.81-notty.patch
Patch5: sysvinit-2.81-owl-sulogin.patch
Patch6: sysvinit-2.84-owl-alt-bound-format.patch
Patch7: sysvinit-2.84-alt-progname-umask.patch
Patch8: sysvinit-2.84-alt-bootlogd-TIOCGDEV.patch
Patch9: sysvinit-2.84-alt-init-spawn.patch

Conflicts: glibc < 6:2.2.1-ipl0.2mdk, 
BuildConflicts: openssl-devel < 0.9.6a

%description
This package contains a group of processes that control the very
basic functions of your system. %name includes the init program,
the first program started by the Linux kernel when the system boots.
Init then controls the startup, running and shutdown of all other
programs.

%prep
%setup -q -n sysvinit-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

pushd src
find -type f -print0 |
	xargs -r0 %__grep -FZl '"paths.h"' -- |
	xargs -r0 %__subst 's/"paths\.h"/"paths_init.h"/g' --
mv paths.h paths_init.h
echo '#include <paths.h>' >>paths_init.h
popd

%build
%make_build -C src all \
	CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	LCRYPT=-lcrypt \
	LDFLAGS= \
	#
%make_build -C src bootlogd \
	CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	LCRYPT= \
	LDFLAGS=-lutil \
	#
pushd contrib
	gcc start-stop-daemon.c $RPM_OPT_FLAGS -o start-stop-daemon
popd

%install
mkdir -p $RPM_BUILD_ROOT{/{s,}bin,/dev,%_bindir,%_includedir,%_mandir/man{1,3,5,8}}
%make_install install -C src \
	ROOT=$RPM_BUILD_ROOT \
	BIN_OWNER=`id -nu` \
	BIN_GROUP=`id -ng` \
	#

install -p -m755 src/bootlogd contrib/start-stop-daemon \
	$RPM_BUILD_ROOT/sbin/

mkfifo -m600 $RPM_BUILD_ROOT/dev/initctl

%__ln_s killall5 $RPM_BUILD_ROOT/sbin/pidof
chmod 755 $RPM_BUILD_ROOT%_bindir/utmpdump

%post
[ -e /var/run/initrunlvl ] && %__ln_s ../var/run/initrunlvl /etc/initrunlvl ||:
[ -x /sbin/telinit -a -p /dev/initctl -a -L /proc/1/exe -a -d /proc/1/root ] && /sbin/telinit u ||:

%files
%defattr(700,root,root)
/sbin/init
/sbin/shutdown
/sbin/sulogin
/sbin/bootlogd

%defattr(-,root,root,-)
/sbin/halt
/sbin/poweroff
/sbin/reboot
/sbin/telinit
/sbin/start-stop-daemon
/sbin/killall5
/sbin/pidof
/sbin/runlevel

/bin/pidof
%_bindir/last
%_bindir/lastb
%_bindir/mesg
%_bindir/utmpdump
%attr(2711,root,tty) %_bindir/wall

%_includedir/*

%ghost /dev/initctl

%_mandir/man?/*
%doc README
%doc contrib/{start-stop-daemon.README,TODO}
%doc doc/{Propaganda,Install,sysvinit-%version.lsm,bootlogd.README}

%changelog
* Tue Dec 10 2002 Dmitry V. Levin <ldv@altlinux.org> 2.84-alt5
- src/init.c(spawn): fixed bug reported by Vladimir N. Oleynik.
- Packaged /sbin/bootlogd and /sbin/start-stop-daemon.

* Tue Sep 17 2002 Dmitry V. Levin <ldv@altlinux.org> 2.84-alt4
- Revert back /sbin/halt permissions (to reenable -usermode).
- Use subst instead of perl in build scripts.

* Tue Aug 06 2002 Dmitry V. Levin <ldv@altlinux.org> 2.84-alt3
- Marked /dev/initctl socket as %%ghost (#0001125).

* Sat Jul 13 2002 Dmitry V. Levin <ldv@altlinux.org> 2.84-alt2
- Reviewed patches, dropped obsolete ones.
- Added building of bootlogd and start-stop-daemon.
- Restricted permissions on root-only programs.

* Thu Feb 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.84-alt1
- 2.84
- Added initreq.h

* Wed Nov 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.83-alt1
- 2.83
- Moved usermode stuff to separate package.

* Tue Sep 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.82-alt2
- usermode: fixed pam config.

* Wed Aug 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.82-alt1
- 2.82

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.81-alt2
- Fixed version display info.
- Changed usermode subpackage requirements.

* Wed Aug 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.81-alt1
- 2.81
- Added usermode subpackage with consolehelpr bindings.

* Fri Jun 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.78-ipl5mdk
- Progname patch.
- Various bound and format checks from Owl project.
- Ensure the umask is no less restrictive than 022 (owl).
- Use getpass(3) in sulogin - the old code was unreliable (owl).

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.78-ipl4mdk
- Fixed umask (rh).

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.78-ipl3mdk
- Merged RH patches:
  + document '-n' option to wall, make it root-only (rh).
  + don't open files in sulogin unless they're really ttys (rh).

* Wed Jan 10 2001 Dmitry V. Levin <ldv@fandra.org> 2.78-ipl2mdk
- Added blowfish crypt support (from libcrypt).

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 2.78-ipl1mdk
- Merged MDK, RH and BCL patches.
- Re-execute /sbin/init in %post.

* Sun Feb 20 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Jan  5 2000 Dmitry V. Levin <ldv@fandra.org>
- Merge with mdk

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat changes.

* Tue Sep 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- nologin patch isn't needed

* Tue Sep 14 1999 Daouda LO <daouda@mandrakesoft.com>
- 2.77

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- We can't hardlink /bin/pidof anywhere, because it's a symlink itself.
  Fix...

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Linking /bin/pidof to /sbin/pidof for RH compatibilities.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- The normal source doen't work, we need to remove the orphan link to rebuild.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- update to 2.76
- bzip2 man pages
- handle RPM_OPT_FLAGS
- remove some RH patches because they're not required with 2.76
- add de, fr, tr locales
- Move pidof from /sbin to /bin - can't hurt.

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- poweroff symlink not included (problem #762)

* Thu Jul 09 1998 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Fix a securelevel releated security hole. Go on, try and break append
  only files + securelevel now ;-)

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown.
- compile around missing SIGPWR on sparc

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.74
- fixed the package source url... (yeah, it was wrong !)

* Wed Oct 1 1997 Cristian Gafton <gafton@redhat.com>
- fixed the MD5 check in sulogin (128 hash bits encoded with base64 gives
  22 bytes, not 24...). Fix in -md5.patch

* Thu Sep 11 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- /etc/initrunlvl gets linked to /tmp/init-root/var/run/initrunlvl which is
  just plain wrong..
- /usr/bin/utmpdump was missing in the files section, although it was
  explicitly patched into PROGS.
- added attr's to the files section.
- various small fixes.

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.71
- built against glibc 2.0.4

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added sulogin.8 man page to file list.
